dofile("scripts/entities/entityinclude.lua")


function init(me, initDir)
	setupBasicEntity(
	me,
	"Abyss-Spikes",					-- texture
	10,								-- health
	1,								-- manaballamount
	1,								-- exp
	1,								-- money
	90,								-- collideRadius
	STATE_IDLE,						-- initState
	256,							-- sprite width	
	256,							-- sprite height
	1,								-- particle "explosion" type, maps to particleEffects.txt -1 = none
	0,								-- 0/1 hit other entities off/on (uses collideRadius)
	2000							-- updateCull -1: disabled, default: 4000
	)
	entity_setAllDamageTargets(me, false)
	--entity_setCullRadius(me, 64)
end

function postInit(me)
end

function update(me, dt)
	entity_handleShotCollisions(me)
	entity_touchAvatarDamage(me, entity_getCollideRadius(me), 0.5, 500)
end

function enterState(me)
end

function exitState(me)
end

function hitSurface(me)
end

function activate(me)
end

function damage(me)
	return false
end
